<template>
  <div class="home">
    <div class="main">
        <h2>دریافت گزارش</h2>
      <div class="main-content">
      <div class="img">
         <img src="./../assets/Hamrahkish_logo.png" style="width: 150px;"/>
      </div>
        <div class="form">
          <ul>
            <li>
              <span class="label">از تاریخ:</span>
              <date-picker v-model="credentials.start_date" style="display: inline-block !important; vertical-align: middle"></date-picker>
            </li>
          </ul>
          <ul>
             <li>
              <span class="label">تا تاریخ:</span>
              <date-picker v-model="credentials.end_date" style="display: inline-block !important; vertical-align: middle"></date-picker>
            </li>
          </ul>
           <button  @click="getAppInvite()" class="btn-enter">جستجو</button>
        </div>
      </div>
      <div class="table-content" v-if="data.length > 0">
        <div class="table-data">
           <table>
            <col width="30%">
            <col width="30%">
            <col width="40%">
             <tr>
               <th>ردیف</th>
               <th>شماره تلفن</th>
               <th>تعداد دعوت شدگان</th>
             </tr>
             <tr v-for="(item, index) in data" v-bind:key="index">
               <td>{{ index+1 }}</td>
               <td>{{ item.id_host__phone_number}}</td>
               <td>{{ item.id_host__count }}</td>
             </tr>
          </table>
        </div>
        </div>
      </div>
    </div>
</template>

<script>
import Vue from 'vue'
import axios from 'axios'
import VuePersianDatetimePicker from 'vue-persian-datetime-picker'
Vue.use(VuePersianDatetimePicker, {
  name: 'custom-date-picker',
  props: {
    inputFormat: 'YYYY-MM-DD',
    format: 'YYYY-MM-DD',
    editable: false,
    inputClass: 'form-control my-custom-class-name',
    placeholder: 'انتخاب تاریخ: ',
    altFormat: 'YYYY-MM-DD HH:mm',
    color: '#00acc1',
    autoSubmit: false
  }
})
export default {
  data () {
    return {
      credentials: {
        start_date: '',
        end_date: ''
      },
      data: []
    }
  },
  components: {
    datePicker: VuePersianDatetimePicker
  },
  methods: {
    getAppInvite () {
      // let uri = `${window.location.protocol}//${window.location.host}/60app/meliat/api-v1/app_invite/filter/`
      let uri = 'http://192.168.1.65/60app/meliat/api-v1/app_invite/filter/'

      axios.post(uri, this.credentials, { headers: {'Content-type': 'application/json'
      }}).then(response => {
        this.data = response.data.object
      })
    }
  }
}

</script>
